Description

This is a guide for installing Zoneminder on Arch Linux.

Prepare the Environment

o Make sure the system is up to date:
pacman —-Syu

Install yaourt
e |nstall yaourt
Install Zoneminder

¢ Install zoneminder from the AUR:

yaourt zoneminder

Configure Apache

e Edit the apache config:

nano /etc/httpd/conf/httpd.conf

o And add/modify the following to ensure PHP, prefork and cgi are enabled:

#LoadModule mpm_event_module modules/mod_mpm_event.so
LoadModule mpm_prefork_module modules/mod_mpm_prefork.so
LoadModule php5_module modules/libphp5.so

LoadModule cgi_module modules/mod_cgi.so

e Append the Zoneminder inclusion to the apache config:

echo 'Include conf/extra/php5_module.conf' >> /etc/httpd/conf/httpd.conf
echo 'Include /etc/httpd/conf/extra/httpd-zoneminder.conf' >> /etc/httpd/conf/httpd.conf

o NOTE: | needed to comment out the php_admin_value in httpd-zoneminder.conf file.

Configure PHP

o Edit the PHP configuration:
nano /etc/php/php.ini

o Ensure the following extensions are enabled:

extension=pdo_mysqgl.so
extension=gd.so
extension=gettext.so
extension=mcrypt.so
extension=sockets.so
extension=openssl.so
extension=ftp.so

o Ensure open_basedir has the following directories added/included:

open_basedir = /srv/http/:/home/:/tmp/:/usr/share/pear/:/usr/share/webapps/:/dev/:/etc:/sr

v/http/zoneminder:/srv/zoneminder/:/var/cache/zoneminder/

o Set the local timezone:

date.timezone = America/Los_Angeles

Initialize MySQL

e |nitialize the MySQL database:

cd /usr
mysqgl_install_db --user=mysql —--ldata=/var/lib/mysqgl/

e Start and enable MySQL on boot:

systemctl enable mysgld
systemctl start mysqgld

e Secure the installation:

mysql_secure_installation

* |Import the zoneminder SQL data:

mysgladmin --defaults-file=/etc/mysgl/my.cnf -p -f reload

cat /usr/share/zoneminder/db/zm_create.sql | mysql --defaults-file=/etc/mysqgl/my.cnf -p

e Set permissions on the zm database for the user zmuser with the password zoneminder

echo 'grant lock tables, alter,select,insert,update,delete on zm.* to 'zmuser'@localhost ident

ified by "zoneminder";' | mysqgl --defaults-file=/etc/mysgl/my.cnf -p mysqgl

e Edit the zoneminder config

nano /etc/zm.conf

o And update the host, database, username, and/or password:
ZM_DB_HOST=localhost
ZM_DB_NAME=zm
ZM_DB_USER=zmuser
ZM_DB_PASS=zoneminder

Start Zoneminder

e Start and enable Apache on boot:

systemctl enable httpd
systemctl start httpd

e Start and enable zoneminder on boot:

systemctl enable zoneminder
systemctl start zoneminder

Resources

e https://wiki.archlinux.org/index.php/ZoneMinder
¢ https://aur.archlinux.org/packages/zoneminder/

History

#1 - 06/11/2015 05:33 PM - Daniel Curtis
- Description updated
- % Done changed from 0 to 20

#2 - 06/11/2015 05:37 PM - Daniel Curtis

- Description updated

#3 - 06/13/2015 11:17 AM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 20 to 40

#4 - 06/13/2015 12:36 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 40 to 100

#5 - 06/13/2015 12:37 PM - Daniel Curtis

- Description updated

#6 - 07/13/2015 01:55 PM - Daniel Curtis

- Status changed from Resolved to Closed

#7 - 08/26/2015 03:22 PM - Daniel Curtis

- Description updated

#8 - 07/15/2016 07:41 PM - Daniel Curtis

- Description updated
